=== debian/changelog ===
createrepo-c (0.17.4) unstable; urgency=low

  * Upgrade version to 0.17.4 for Ubuntu22.04 distro.
  * port python version to python3.x version.
 -- Biao Wang <biao716.wang@samsung.com> Fri, 02  Dec 2022 11:07:00 +0900
