=== debian/control ===
Source: createrepo-c
Section: devel
Priority: extra
Maintainer: Jian-feng Ding <jian-feng.ding@intel.com>
Build-Depends: debhelper (>= 7.0.15), cdbs, libpython3-dev, python3-dev, libpython3-all-dev, dh-python, python3-docutils, cmake, libbz2-dev, librpm-dev, liblzma-dev, libcurl3 | libcurl4, libcurl4-openssl-dev, libmagic-dev, libexpat1, doxygen, pkg-config, libglib2.0-dev, libssl-dev
Standards-Version: 0.17.4
Homepage: http://www.tizen.org

Package: createrepo-c
Architecture: any
Depends:
 libcreaterepo-c0 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Multi-Arch: foreign
Description: tool to create RPM repository metadata (C implementation)
 The createrepo_c tool generates the repodata directory and XML metadata that
 makes up a repository of RPM packages. This repository format is supported
 by apt-rpm, red-carpet(zen), smartpm, up2date, yast, and yum.
 .
 This package is similar to the apt-ftparchive or reprepro commands, but for
 working with RPM repositories.

Package: libcreaterepo-c0
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
 rpm,
 python3-rpm,
 python3-urlgrabber,
 cpio,
 bzip2,
 libpython3-dev,
 libcurl3 | libcurl4,
 libxml2,
 gzip,
 libglib2.0-0,
 libglib2.0-data,
 ${misc:Depends}
Multi-Arch: same
Description: library for creating RPM repository metadata
 The createrepo tool generates the repodata directory and XML metadata that
 makes up a repository of RPM packages. This repository format is supported
 by apt-rpm, red-carpet(zen), smartpm, up2date, yast, and yum.
 .
 This package contains a shared library for managing RPM repositories.

Package: libcreaterepo-c-dev
Section: libdevel
Architecture: any
Depends:
 libcreaterepo-c0 (= ${binary:Version}),
 libbz2-dev,
 libcurl4-openssl-dev,
 libglib2.0-dev,
 liblzma-dev,
 libmagic-dev,
 libpython3-dev,
 librpm-dev,
 libssl-dev,
 libsqlite3-dev,
 libxml2-dev,
 python3-nose,
 zlib1g-dev,
 ${misc:Depends}
Multi-Arch: same
Description: library for creating RPM repository metadata (development)
 The createrepo tool generates the repodata directory and XML metadata that
 makes up a repository of RPM packages. This repository format is supported
 by apt-rpm, red-carpet(zen), smartpm, up2date, yast, and yum.
 .
 This package contains the header files needed for developing programs
 using the libcreaterepo-c library.

Package: python3-createrepo-c
Section: python
Architecture: any
Depends:
 libcreaterepo-c0 (= ${binary:Version}),
 ${python3:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Multi-Arch: foreign
Description: library for creating RPM repository metadata (Python bindings)
 The createrepo tool generates the repodata directory and XML metadata that
 makes up a repository of RPM packages. This repository format is supported
 by apt-rpm, red-carpet(zen), smartpm, up2date, yast, and yum.
 .
 This package contains a Python module for interfacing with
 the libcreaterepo-c library.
