=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.


#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	cmake -DCMAKE_SKIP_RPATH=ON -DCMAKE_INSTALL_PREFIX=/usr -DENABLE_LEGACY_WEAKDEPS=ON
	make

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Installing package
	make DESTDIR=$(CURDIR) sysconfdir=$(CURDIR)/etc install
	mkdir -p $(CURDIR)/usr/lib
	if [ -e usr/lib64 ]; then cp -arf  usr/lib64/* $(CURDIR)/usr/lib/; fi
	#To compatible with createrepo
	for i in createrepo mergerepo modifyrepo sqliterepo;do \
		ln -s /usr/bin/$$i\_c $(CURDIR)/usr/bin/$$i; \
		echo ".so man8/$$i\_c.8" > $(CURDIR)/usr/share/man/man8/$$i\.8; \
	done
#	cat src/python/__init__.py
#	ls -R
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_install
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
#	dh_shlibdeps -l/$(CURDIR)/usr/lib
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
