=== debian/changelog ===
createrepo-c (1.2.0-3) unstable; urgency=medium

  * Fix FTBFS with CMake 4:
    - add the cmake-imported-target upstream patch which, besides fixing
      a bug, also bumps the minimum policy version to 3.7
    - add the cmake-doxygen-conditional upstream patch
    - Closes: #1112811
  * Declare compliance with Policy 4.7.2 with no changes.
  * Convert the watch file to version 5 of the format.
  * Minor changes to the ways linters are run (outside of Debian) on
    the autopkgtest program:
    - switch to uvoxen for running the tests
    - no longer declare Python 3.9 as supported
    - use Ruff 0.13.3 with no changes
  * Enable more tests for Salsa CI.

 -- Peter Pentchev <roam@debian.org>  Sun, 05 Oct 2025 17:39:03 +0300

createrepo-c (1.2.0-2) unstable; urgency=medium

  * Silly me, libcreaterepo-c1 is NEW, it needs a binary upload.

 -- Peter Pentchev <roam@debian.org>  Wed, 29 Jan 2025 04:20:26 +0200

createrepo-c (1.2.0-1) unstable; urgency=medium

  [ Loren M. Lang ]
  * New upstream version 1.2.0
  * Updated patches for latest import
  * Library SONAME bump
  * Updated symbol list for libcreaterepo-c
  * Updated copyright for createrepo-c-1.2.0
  * Updated patches for latest import
  * Library SONAME bump
  * Updated symbol list for libcreaterepo-c
  * Updated copyright for createrepo-c-1.2.0
  * Update changelog for 1.2.0-1 release

  [ Peter Pentchev ]
  * autopkgtest: use Ruff 0.9.3, override a docstring check.
  * Use debputy's X-Style: black.
  * Add the year 2025 to my debian/* copyright notice.

 -- Peter Pentchev <roam@debian.org>  Wed, 29 Jan 2025 03:19:32 +0200

createrepo-c (0.17.3-6) unstable; urgency=medium

  * Team upload.
  * autopkgtest: add missing dependencies on file and elfutils
  * autopkgtest: disable debuginfo package

 -- Luca Boccassi <bluca@debian.org>  Mon, 14 Oct 2024 23:30:04 +0100
