=== debian/control ===
Source: createrepo-c
Section: utils
Priority: optional
Maintainer: RPM packaging team <team+pkg-rpm@tracker.debian.org>
Uploaders:
 Peter Pentchev <roam@debian.org>,
Build-Depends:
 debhelper (>> 13.15.2~),
 dh-package-notes,
 dh-sequence-python3,
 dpkg-build-api (= 1),
 bash-completion,
 check <!nocheck>,
 cmake,
 libbz2-dev,
 libcurl4-openssl-dev,
 libdrpm-dev,
 libglib2.0-dev,
 liblzma-dev,
 libmagic-dev,
 libmodulemd-dev,
 librpm-dev,
 libsqlite3-dev,
 libssl-dev,
 libxml2-dev,
 libzck-dev,
 python3-click <!nocheck>,
 python3-dev,
 python3-setuptools,
 python3-skbuild,
 rpm <!nocheck>,
 zchunk <!nocheck>,
 zlib1g-dev,
X-DH-Compat: 14
Standards-Version: 4.7.2
Homepage: https://github.com/rpm-software-management/createrepo_c/
Vcs-Git: https://salsa.debian.org/pkg-rpm-team/createrepo-c.git
Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/createrepo-c
X-Style: black

Package: createrepo-c
Architecture: any
Depends:
 libcreaterepo-c1 (= ${binary:Version}),
Multi-Arch: foreign
Description: tool to create RPM repository metadata (C implementation)
 The createrepo_c tool generates the repodata directory and XML metadata that
 makes up a repository of RPM packages. This repository format is supported
 by apt-rpm, red-carpet(zen), smartpm, up2date, yast, and yum.
 .
 This package is similar to the apt-ftparchive or reprepro commands, but for
 working with RPM repositories.

Package: libcreaterepo-c1
Section: libs
Architecture: any
Multi-Arch: same
Description: library for creating RPM repository metadata
 The createrepo tool generates the repodata directory and XML metadata that
 makes up a repository of RPM packages. This repository format is supported
 by apt-rpm, red-carpet(zen), smartpm, up2date, yast, and yum.
 .
 This package contains a shared library for managing RPM repositories.

Package: libcreaterepo-c-dev
Section: libdevel
Architecture: any
Depends:
 libbz2-dev,
 libcreaterepo-c1 (= ${binary:Version}),
 libcurl4-openssl-dev,
 libglib2.0-dev,
 liblzma-dev,
 libmagic-dev,
 libpython3-dev,
 librpm-dev,
 libsqlite3-dev,
 libssl-dev,
 libxml2-dev,
 zlib1g-dev,
Multi-Arch: same
Description: library for creating RPM repository metadata (development)
 The createrepo tool generates the repodata directory and XML metadata that
 makes up a repository of RPM packages. This repository format is supported
 by apt-rpm, red-carpet(zen), smartpm, up2date, yast, and yum.
 .
 This package contains the header files needed for developing programs
 using the libcreaterepo-c library.

Package: python3-createrepo-c
Section: python
Architecture: any
Depends:
 libcreaterepo-c1 (= ${binary:Version}),
Multi-Arch: foreign
Description: library for creating RPM repository metadata (Python bindings)
 The createrepo tool generates the repodata directory and XML metadata that
 makes up a repository of RPM packages. This repository format is supported
 by apt-rpm, red-carpet(zen), smartpm, up2date, yast, and yum.
 .
 This package contains a Python module for interfacing with
 the libcreaterepo-c library.
