=== debian/rules ===
#!/usr/bin/make -f

# Aim for the top, adapt if anything should break on the buildds.
DEB_BUILD_MAINT_OPTIONS=	hardening=+all future=+lfs

include /usr/share/dpkg/default.mk

include /usr/share/debhelper/dh_package_notes/package-notes.mk

D=	${CURDIR}/debian

%:
	dh "$@" --buildsystem cmake

override_dh_auto_configure:
	dh_auto_configure -- -DENABLE_DRPM=ON -DENABLE_PYTHON=ON -DSKBUILD=ON

execute_after_dh_auto_test:
	env \
		PYTHONPATH='obj-${DEB_HOST_GNU_TYPE}/src/python' \
		PATH="${CURDIR}/obj-${DEB_HOST_GNU_TYPE}/src:$$PATH" \
		LD_LIBRARY_PATH='${CURDIR}/obj-${DEB_HOST_GNU_TYPE}/src' \
		python3 -B '$D/tests/repotest.py' --source '$D/tests/pkg/foo-0.1.0' --spec '$D/tests/pkg/foo.spec'

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_auto_clean:
	rm -rf src/createrepo_c.egg-info
	dh_auto_clean
