=== debian/watch ===
Version: 5

Source: https://github.com/rpm-software-management/createrepo_c/tags
Matching-Pattern: .*/v?(\d\S+)\.tar\.gz
Filename-Mangle: s/.+\/v?(\d\S+)\.tar\.gz/createrepo_c-$1\.tar\.gz/
