## createrepo-c 1.2.1

=== debian/changelog ===
createrepo-c (1.2.1-2build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 23 Jan 2026 14:43:44 +0000

createrepo-c (1.2.1-2) unstable; urgency=medium

  * Declare Standards-Version 4.7.3, drop the implied Priority: optional.
  * Add the year 2026 to my debian/* copyright notice.
  * Use the GitHub template in the watch file.

 -- Peter Pentchev <roam@debian.org>  Wed, 07 Jan 2026 10:52:09 +0200

createrepo-c (1.2.1-1) unstable; urgency=medium

  * Add the upstream-rpm-hdrid patch to fix FTBFS with recent
    versions of rpm. Closes: #1122400
  * Add a superficial `debputy reformat` autopkgtest.
  * Rebuild with debhelper 13.29 for Multi-Arch: same for
    the -dbgsym packages.
  * New upstream release.
  * Minor changes to invoking the Python linters on the autopkgtest
    tool (not invoked during the Debian build).

 -- Peter Pentchev <roam@debian.org>  Fri, 19 Dec 2025 12:55:01 +0200
