=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: createrepo-c
 Section: utils
-Priority: optional
 Maintainer: RPM packaging team <team+pkg-rpm@tracker.debian.org>
 Uploaders:
  Peter Pentchev <roam@debian.org>,
@@ -32,7 +31,7 @@
  zchunk <!nocheck>,
  zlib1g-dev,
 X-DH-Compat: 14
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/rpm-software-management/createrepo_c/
 Vcs-Git: https://salsa.debian.org/pkg-rpm-team/createrepo-c.git
 Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/createrepo-c
