=== debian/watch ===
Version: 5

Template: GitHub
Owner: rpm-software-management
Project: createrepo_c
